/* Definitions for functions exported by the lexical analyser
   Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
   James Bowman, Craig Franklin
*/

#ifndef __SCAN_H__
#define __SCAN_H__

int yylex_destroy(void);

void open_src(const char *Name, gp_boolean Is_include);
void close_file(void);
void execute_exitm(void);
void execute_macro(struct macro_head *Head, gp_boolean Is_while);
gp_boolean found_end(void);

extern gp_boolean force_ident;
extern gp_boolean force_decimal;

#endif
